.* This file converted from BookMaster using BM2IPF version 2.4.1.
.* File for IPF version 1.0.
.* File for code page 850.
:userdoc.
:docprof toc=123456 .
:title.ENVED - An Environment Editor
:h1.Version Notice
:p.
:HP1.Version 1.10, December 1993:EHP1.
:p.This program was written by&colon.
:lines.
Tim Baldwin
&rbl.
IBM UK Laboratories
Hursley Park
Winchester
Hampshire, SO21 2JN
&rbl.
BALDWINT at WINVMB
baldy@vnet.ibm.com
:elines.
.***
:h1 id=intro.Introduction
:p.
.***
:h2 id=BM2.What Is ENVED?
:p.:HP2.ENVED:EHP2. is program to allow you to edit the environment
strings associated with an OS/2 process.
The environment consists of a set of variable names each variable having
a simple text string value.
Programs running in that OS/2 process may examine the environment and
obtain the value of one or more of these environment variables.
Such programs often use the values they obtain to tailor their behaviour
for an individual user.
:p.Many environment variables are established and given initial values
as OS/2 starts up and processes its CONFIG.SYS file.
The environment can be displayed by issuing the :font facename=Courier size=0x0.SET:font facename=default. command
from and OS/2 command prompt, the result shows the variables and their
associated values and looks something like this&colon.
:xmp.
COMPSEC=C&colon.\OS2\CMD.EXE
PATH=C&colon.\OS2;C&colon.\OS2\SYSTEM;D&colon.\TOOLS
DPATH=C&colon.\OS2;C&colon.\OS2\SYSTEM
etc.
:exmp.
The :font facename=Courier size=0x0.SET:font facename=default. command can also be used to add new environment
variables, to remove variables and to replace an existing variable's
value.
However these values are often quite lengthy and rather than replacing
the entire value you may just want to make a few small changes, this is
where an :HP1.Environment Editor:EHP1. such as :HP2.ENVED:EHP2. proves
useful.
:p.:HP2.ENVED:EHP2. may be particularly useful to program developers,
since most compilers make extensive use of environment variables to
control the characteristics of the compilation process.
:HP2.ENVED:EHP2. makes altering those environment variables for
debugging, testing or experimentation very simple.
.***
:h2 id=BM3.What You Need
:p.:HP2.ENVED:EHP2. will run under IBM's OS/2 2.0 or any later version
and requires that REXX is installed (which is the default).
It should also run under IBM's OS/2 1.3 or 1.2 Extended Edition, but
these older systems have not been fully tested.
:p.:HP2.ENVED:EHP2. is supplied as a single file :font facename=Courier size=0x0.ENVED.ZIP:font facename=default..
This should be unpacked using PKUNZIP to give&colon.
:dl compact tsize=18.
:dt.ENVED.CMD
:dd.This is a REXX program to run the editor.
:dt.ENVED.DLL
:dd.This a library of functions required by the REXX program.
:dt.ENVED.DOC
:dd.This is the full documentation in a plain ASCII printable format.
:edl.
:p.In addition the package will contain the following important file&colon.
:dl compact tsize=18..
:dt.LICENSE.TXT
:dd.This contains the terms and conditions under which IBM makes this
program available.
:edl.
.***
:h2 id=BM4.Using ENVED
:p.
.***
:h3 id=BM5.Installing The Editor
:p.Simply ensure that :font facename=Courier size=0x0.ENVED.CMD:font facename=default. is placed in a subdirectory
that is listed in your PATH and that :font facename=Courier size=0x0.ENVED.DLL:font facename=default. is placed in a
subdirectory that is listed in your LIBPATH.
.***
:h3 id=BM6.Starting The Editor
:p.From an OS/2 full screen or windowed command session enter the
following command at the OS/2 prompt&colon.
:xmp.
ENVED <var1> <var2> ...
:exmp.
You can put any number, including zero, of environment variable names
after the :font facename=Courier size=0x0.ENVED:font facename=default. command.
Each variable that you specify will be presented in a full screen edit
panel (one variable per line) together with its current value.
If any of the variables are currently not set they will be displayed
with a blank value.
If you do not specify any variable names the a complete copy the the
current environment will be displayed.
The list of environment variables is always initially displayed sorted
into alphabetical order.
.***
:h3 id=BM7.Making Changes
:p.You may move the cursor anywhere between the "Top of
Environment" and "End of Environment" markers using the cursor
control keys and you may make any changes you wish.
The editor starts in "replace" mode whereby any characters you type
overwrite those already present, you may toggle to "insert" mode by
pressing the Ins or Insert key.
The current mode is indicated by the size of the cursor.
:p.You may change the value of any environment variable by altering the
text to the right of the "=" sign, or you may change the name of the
variable to the left of the "=" sign (or you may change both).
If you change a variable's name this will effectively add a new
variable leaving the old one unchanged.
:p.To add a new environment variable either press Ctrl-Enter to add a
blank line and the type both the variable name and its value, or choose
the existing variable that most closely matches the new one, press Alt-R
to duplicate it, then make the required changes.
:p.To remove an environment variable you must set its value to nothing,
like this&colon.
:xmp.
VARIABLE=
:exmp.
The Alt-T (truncate line) key is useful for doing this.
:note.Pressing Ctrl-Backspace (delete line) simply removes a variable
from the list currently being edited; it does not delete the variable or
its value from the environment.
.***
:h3 id=BM8.Ending The Editor
:p.To end :HP2.ENVED:EHP2. and return to the OS/2 command prompt press
either F3 or F10.
:ul.
:li.F3 will discard any changes you made, leaving the environment
settings exactly as they were before :HP2.ENVED:EHP2. was invoked.
:li.F10 will update the current environment with all the changes you
made.
:eul.
.***
:h2 id=BM9.Keyboard Summary
:p.The following lists all the editing key actions that are available in
:HP2.ENVED:EHP2..
These keys are similar to those used by the TINYED editor, although only
a subset of TINYED's keys are provided.
:dl compact tsize=24.
:dt.Right
:dd.Move the cursor one character to the right.
:dt.Left
:dd.Move the cursor one character to the left.
:dt.Up
:dd.Move the cursor up one line.
:dt.Down
:dd.Move the cursor down one line.
:dt.Ctrl-Right
:dd.Move the cursor forward to the start of the next word.
:dt.Ctrl-Left
:dd.Move the cursor back to the start of the previous word.
:dt.Tab
:dd.Move the cursor forward to the next tab position (tabs are every
eight columns).
:dt.Shift-Tab
:dd.Move the cursor back to the previous tab position (tabs are every
eight columns).
:dt.Home
:dd.Move the cursor to the start of the current line.
:dt.End
:dd.Move the cursor to the end of the current line.
:dt.Ctrl-Home
:dd.Move the cursor to the top of the list of environment variables.
:dt.Ctrl-End
:dd.Move the cursor to the end of the list of environment variables.
:dt.Page Up
:dd.Scroll the list of environment variables up by one screenful.
:dt.Page Down
:dd.Scroll the list of environment variables down by one screenful.
:dt.Enter
:dd.Move the cursor down one one and back to the start of the line.
:dt.Ctrl-Enter
:dd.Add a new blank line to the list of environment variables.
:dt.Backspace
:dd.Delete the character to the left of the cursor.
:dt.Ctrl-Backspace
:dd.Remove the current environment variable from the list being edited.
:dt.Delete
:dd.Delete the character at the cursor position.
:dt.Insert
:dd.Toggle between "replace" "insert" typing mode.
:dt.Alt-J
:dd.Join the next line to the end of the current line.
:dt.Alt-R
:dd.Repeat the current line (insert a new copy of the current
environment variable into the list).
:dt.Alt-S
:dd.Split the current line at the cursor position.
:dt.Alt-T
:dd.Truncate the current line (delete all the characters from the
cursor position to the end of the line).
:dt.F1
:dd.Display some help information; press Esc to remove the help panel.
:dt.F3
:dd.Quit the editor without making any changes.
:dt.F10
:dd.Update the environment will all the changes made.
:dt.Others
:dd.You can also enter any ASCII character by holding down the Alt key,
typing the character's ASCII value (in decimal, from 1 to 255) on the
numeric keypad and releasing the Alt key.
:edl.
:euserdoc.
